> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pinned Lists 개요

> pinned Lists 엔드포인트를 사용하면 사용자의 고정된 List를 조회하고 어떤 List를 고정할지 관리할 수 있습니다. 퀵스타트를 다루는 X API v2 standard 티어 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

pinned Lists 엔드포인트를 사용하면 사용자의 고정된 List를 조회하고 어떤 List가 고정되어 있는지 관리할 수 있습니다.

<Note>
  **사전 요구사항**

  시작하기 전에 다음이 필요합니다:

  * 승인된 App이 포함된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * User Access Token (OAuth 1.0a 또는 OAuth 2.0 PKCE)
</Note>

***

## 사용 가능한 엔드포인트

<CardGroup cols={2}>
  <Card title="Pinned Lists 조회" icon="thumbtack" href="/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    고정된 List 가져오기
  </Card>

  <Card title="Pinned Lists 관리" icon="pin" href="/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    List 고정 및 고정 해제
  </Card>
</CardGroup>

***

## 인증

| Operation     | Authentication               |
| :------------ | :--------------------------- |
| 고정된 List 조회   | OAuth 1.0a 또는 OAuth 2.0 PKCE |
| List 고정/고정 해제 | OAuth 1.0a 또는 OAuth 2.0 PKCE |

<Warning>
  조회 및 관리 작업 모두 사용자 컨텍스트 인증이 필요합니다. App-only (Bearer Token) 인증은 지원되지 않습니다.
</Warning>

***

## 빠른 예시

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # 고정된 List 가져오기
  curl "https://api.x.com/2/users/2244994945/pinned_lists" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # 고정된 List 가져오기
  response = client.lists.get_pinned("2244994945")

  for lst in response.data:
      print(f"{lst.name}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  // 고정된 List 가져오기
  const response = await client.lists.getPinned("2244994945");

  response.data?.forEach((lst) => {
    console.log(lst.name);
  });
  ```
</CodeGroup>

***

## 다음 단계

<CardGroup cols={2}>
  <Card title="List lookup" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" href="/x-api/lists/list-lookup/quickstart" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    List 세부 정보 가져오기
  </Card>

  <Card title="List 관리" icon="pen" href="/x-api/lists/manage-lists/quickstart">
    List 생성 및 업데이트
  </Card>
</CardGroup>
